#########################################################################
# Copyright (c) 2003,2004 Scapa Technologies Limited and others
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Common Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/cpl-v10.html
# 
# Contributors: 
# Scapa Technologies Limited - Initial API and implementation
#########################################################################


# Plugin
PLUGIN_NAME								= Hyades Statistical Console
PLUGIN_PROVIDER								= Eclipse.org

# Graph Line Styles
GRAPH_LINE_SOLID							= Solid
GRAPH_LINE_DOT								= Dot
GRAPH_LINE_DASH								= Dash
GRAPH_LINE_DASH_DOT							= Dash Dot
GRAPH_LINE_DASH_DOT_DOT						= Dash Dot Dot

# Graph Configuration Column Names
# V slider = vertical slider
# H slider = horizontal slider
TABLE_COLUMN_NAME							= Name
TABLE_COLUMN_DESCRIPTION					= Description
TABLE_COLUMN_COLOR							= Color
TABLE_COLUMN_WIDTH							= Width
TABLE_COLUMN_STYLE							= Style
TABLE_COLUMN_HSLIDER						= H Slider
TABLE_COLUMN_VSLIDER						= V Slider
TABLE_COLUMN_SLIDER							= Slider
TABLE_COLUMN_MULTIPLIER						= Multiplier
TABLE_COLUMN_IMAGE							= Image

#----------------- StatCon stuff ------------------------

OK=OK
CANCEL=Cancel

FILE_EXISTS=File Already Exists
FILE_EXISTS_MSG=The file you selected already exists - do you want to overwrite it?

BUILDING_HEADER=Building Header
EXPORTING_DATA=Exporting Data

EXPORT_TITLE=Export Graphs to Spreadsheet

EXPORT_AVERAGE_OVER=Average over (seconds): 
EXPORT_START_AT=Start export at this time: 
EXPORT_FINISH_AT=Stop export after this time: 

EXPORT_INVALID_PERIOD=Invalid Averaging Period
EXPORT_INVALID_PERIOD_MSG=is not a valid averaging period

ADD_SLIDER=Add a Slider

EXPORT_GRAPHS_CSV=Export these graphs to a spreadsheet

INVALID_TRACE_FILE=Invalid trace/model file
INVALID_FILE=Invalid file
INVALID_FILE_DROP=Invalid file drop
INVALID_FILE_DROP_TITLE=Invalid File Drop
NO_MODULE_ACCEPTED_DROP=no module accepted the file drop

ROOT_NODE_EXISTS=A top level node called
ROOT_NODE_EXISTS_2=already exists

NULL_URI_WHILE_LOADING=Null URI while loading trace
NULL_RESOURCE_WHILE_LOADING=Null resource while loading trace

AGENT_REMOVE=Remove

BAD_ROOT_XML_NODE=root node not a StatCon node (<smgconfig>)

ADD_NEW_TRACE=Add a new Trace / Statistical Model
SET_ALL_VERTICAL_TO=Set All Vertical to
SET_ALL_HORIZONTAL_TO=Set All Horizontal to

GRAPHS_TAB_TOOLTIP=Graph Configuration
CONTROLS_TAB_TOOLTIP=Control Configuration + Modification
MESSAGES_TAB_TOOLTIP=Messages (Hyades Common Base Events)


#----------------- Editor stuff ------------------------

ERROR_OCCURRED=An error occurred
IO_ERROR_OCCURRED=An I/O error occurred
NO_STAT_MODEL_FOUND=no trace agent found in file
NULL_FILE=NULL File

EDITOR_FILE_DELETED=This editor's file has been deleted
EDITOR_FILE_DELETED_2=do you wish to save the editor contents to a new location?
EDITOR_FILE_DELETED_TITLE=Open File Deleted

EDITOR_FILE_CHANGED=The file has changed outside the editor - do you want to overwrite the changes?
EDITOR_FILE_CHANGED_TITLE=File Changed

#----------------- New File Wizard stuff ------------------------

CREATE_NEW_STATCON_FILE=Create a new StatCon file
CREATE_NEW_STATCON_FILE_DESC=Create a new StatCon file

CHOOSE_MODELS_TO_GRAPH=(Optionally) choose statistical models to graph
CHOOSE_MODELS_TO_GRAPH_DESC=Choose any statistical models you wish to include in this StatCon file.  This step is optional, you can add models later if you desire


#----------------- Slider value validation stuff ------------------------

TABLE_NAME_GRAPHS=Graphs
TABLE_NAME_CONTROLS=Controls
TABLE_NAME_CBELOG=Common Base Event Log

HORIZONTAL_SLIDER_PREFIX=Horizontal
VERTICAL_SLIDER_PREFIX=Vertical

MENUITEM_SET_GRAPH_BACKGROUND_COLOR=Set Graph Background Color
MENUITEM_DEFAULT_GRAPH_BACKGROUND_COLOR=Default Graph Background Color
MENUITEM_SEPARATE_SLIDERS_FROM_GRAPH=Separate Slider Colors from Graph
MENUITEM_MATCH_SLIDERS_TO_GRAPH=Match Slider Colors to Graph


SET_MAXIMUM=Set Maximum
SET_MINIMUM=Set Minimum
UNLOCK_SLIDER_MAX=Unlock Max
UNLOCK_SLIDER_MIN=Unlock Min
LOCK_SLIDER_MAX=Lock Max
LOCK_SLIDER_MIN=Lock Min
REMOVE_SLIDER=Remove Slider
SET_TITLE=Set Title
SNAP_TO_ASSOCIATED_GRAPHS=Snap to Associated Graphs

SET_SLIDER_TITLE=Set Slider Title
SLIDER_TITLE_REQUEST=Please enter the new slider title

SET_TIME_SLIDER_MAX=Set Time Slider Maximum
SET_SLIDER_MAX=Set Slider Maximum
NEW_SLIDER_MAXIMUM=Please enter the new slider maximum

SET_TIME_SLIDER_MIN=Set Time Slider Minimum
SET_SLIDER_MIN=Set Slider Minimum
NEW_SLIDER_MINIMUM=Please enter the new slider minimum


#----------------- Slider value validation stuff ------------------------

NULL_ARGUMENT=Null Argument
STRING_TOO_SHORT=String too short (must have at least 1 character)
VALUE_TOO_LARGE=Minimum must be smaller than maximum + increment
VALUE_TOO_SMALL=Maximum must be larger than minimum + increment
NOT_A_VALID_NUMBER=Not a valid number


#------------------- Widgets stuff ---------------------
LOCK_TOOLTIP=Scroll Lock - stop this message panel from scrolling
SAVE_TOOLTIP=Save these messages to a file
CLEAR_TOOLTIP=Clear all messages from this message panel

ZOOMSLIDER_CONFIG_MAX_TOO_SMALL=The ZoomSlider's maximum value must be greater than its minimum value!
ZOOMSLIDER_CONFIG_MAXVIS_TOO_SMALL=The ZoomSlider's maximum visible value must be greater than its minimum visible value!
ZOOMSLIDER_CONFIG_MIN_TOO_LARGE=The ZoomSlider's minimum value must be less than, or equal to its minimum visible value!
ZOOMSLIDER_CONFIG_MINVIS_TOO_LARGE=The ZoomSlider's maximum value must be greater than, or equal to its maximum visible value!
ZOOMSLIDER_CONFIG_RES_TOO_LARGE=The ZoomSlider's resolution must be less than the difference between its maximum and minimum values!
ZOOMSLIDER_CONFIG_RES_NONPOS=The ZoomSlider's resolution must be a positive, non-zero number!
ZOOMSLIDER_CONFIG_RES_BADPOW=The ZoomSlider's resolution must equal n * Math.pow(10, p) where n = 1, 2 or 5, and p is any integer, e.g....0.01, 0.02, 0.05, 0.1, 0.2, 0.5, 1, 2, 5, 10, 20, 50...are all valid resolution values!
ZOOMSLIDER_CONFIG_BADDIRECTION=The ZoomSlider's 'direction' must be either ZoomSlider.INCREASING or ZoomSlider.DECREASING!
ZOOMSLIDER_CONFIG_BADORIENTATION=The ZoomSlider's 'orientation' must be either ZoomSlider.HORIZONTAL or ZoomSlider.VERTICAL!

OK=OK
CANCEL=Cancel

YEAR=Year
MONTH=Month
DAY=Day
HOUR=Hour
MINUTE=Min
SECOND=Sec
MILLISECOND=MSec

SAVE_LOG_TITLE=Save Message Log
SAVE_LOG_MSG=Specify a file to save the message log to in standard text file format.

SAVE_LOG_FAILED_TITLE=Error Saving Message Log
SAVE_LOG_FAILED_MSG=An error occurred while trying to save the message log. See the error log for more details.

# Greek Alphabet
GREEK_LETTERS_ALPHA							= Alpha
GREEK_LETTERS_BETA							= Beta
GREEK_LETTERS_GAMMA							= Gamma
GREEK_LETTERS_DELTA							= Delta
GREEK_LETTERS_EPSILON						= Epsilon
GREEK_LETTERS_ZETA							= Zeta
GREEK_LETTERS_THETA							= Theta
GREEK_LETTERS_IOTA							= Iota
GREEK_LETTERS_KAPPA							= Kappa
GREEK_LETTERS_LAMDA							= Lamda
GREEK_LETTERS_MU							= Mu
GREEK_LETTERS_NU							= Nu
GREEK_LETTERS_XI							= Xi
GREEK_LETTERS_OMIKRON						= Omikron
GREEK_LETTERS_PI							= Pi
GREEK_LETTERS_RHO							= Rho
GREEK_LETTERS_SIGMA							= Sigma
GREEK_LETTERS_TAU							= Tau
GREEK_LETTERS_UPSILON						= Upsilon
GREEK_LETTERS_PHI							= Phi
GREEK_LETTERS_CHI							= Chi
GREEK_LETTERS_PSI							= Psi
GREEK_LETTERS_OMEGA							= Omega


# Errors
ERROR_NO_INFOPOPS_ID = IWAT6000E Could not get infopops plugin ID
ERROR_CSV_EXPORT_DIALOG = IWAT6001E Error running CSV export dialog
ERROR_CSV_EXPORT_FILE = IWAT6002E Error writing export file
ERROR_SAVE_MESSAGE_LOG = IWAT6003E Error saving message log
ERROR_OPEN_STATCON = IWAT6004E Unable to open StatCon
ERROR_LOAD_MODULE = IWAT6005E Failed to load StatCon Module
ERROR_NULL_AGENT = IWAT6006E Null Agent
ERROR_NULL_NAME = IWAT6007E Null Agent Name
ERROR_NOTIFY_ADD = IWAT6008E problem notifying listener of Agent Add
ERROR_LOAD_CONFIG = IWAT6009E Error loading agent from configuration
ERROR_APPLY_GRAPH = IWAT6010E Error applying graph configuration
ERROR_APPLY_MODEL = IWAT6011E Error applying agent/model configuration
ERROR_UPDATE_MODEL = IWAT6012E Error updating agent/model configuration
ERROR_SAVING_MODULE = IWAT6013E Error saving module data for
ERROR_UPDATE_STATCONTREE = IWAT6014E Error updating StatCon tree

#3.1 additions
TABLE_COLUMN_VALUE							= Value
STATCON_FILE=StatCon file
ERROR_IN=Error in
BUNDLE = Bundle
BUNDLE_LOCATION = Bundle Location
BUNDLE_ID = Bundle ID
BUNDLE_NAME = Bundle Name
PLUGIN_ID=Plugin ID
PLUGIN_PROVIDER=Plugin Provider
PLUGIN_VERSION=Plugin Version
PLUGIN_URL=Plugin Install URL
MEASURED=Measured
REQUESTED=Requested
MESSAGES=Messages
GRAPH=Graph
CONTROL=Control